You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2017-05-10 13:54:47

Nitro76
Guest
Registered: 2011-03-17
Posts: 48

Perte des dépendances de questions apres mise à jour plugin FormCreato

Bonjour à tous,

Lorsque je mets à jour GLPI et le plugin FormCreator, mes formulaires perdent les dépendances entre les questions.

J'ai essayé de mettre à jour mes différentes applications GLPI :

GLPI 0.83.7 vers 9.1.2 et FormCreator 1.4.2 => Problème ci-dessus constaté
GLPI 0.84.5 vers 9.1.2 et FormCreator 0.84-2.1.6 => Problème ci-dessus constaté
GLPI 0.84.8 vers 9.1.2 et FormCreator 0.84-2.1.6 => Problème ci-dessus constaté
GLPI 0.85.4 vers 9.1.2 et FormCreator 0.90-1.2.5 => Pas de problème

J'ai biensur essayé une étape intermédiaire en migrant préalablement mes premieres applications en 0.85.4 mais j'ai toujours le problème.

Avez-vous une solution ou devrais-je reconfigurer toutes les dépendances de mes formulaires ?

Merci d'avance,

Frederic

Offline

#2 2017-05-10 14:25:05

btry
Guest
Registered: 2015-10-01
Posts: 101

Re: Perte des dépendances de questions apres mise à jour plugin FormCreato

Bonjour

D'abord faites l'upgrade vers GLPI 9.1.2. Ca ne doit pas avoir d'impact sur le plugin.

Ensuite, sauvegardez la base de données de votre GLPI, upgradez le plugin vers la version 2.4.2 (dernière en date)
https://github.com/pluginsGLPI/formcreator/releases

Si vous avez toujours un problème de migration, ouvrez un ticket sur le dépôt du plugin. La sauvegarde  que je vous conseille de faire sera utile pour rejouer l'upgrade du plugin plusieurs fois si nécessaire.

Offline

#3 2017-05-15 16:19:08

Nitro76
Guest
Registered: 2011-03-17
Posts: 48

Re: Perte des dépendances de questions apres mise à jour plugin FormCreato

Bonjour,

Excusez-moi pour le délai de réponse...

Après relecture de mon premier post, il fallait lire :

GLPI 0.83.7 et FormCreator 1.4.2 vers 9.1.2 et formCreator 2.4.1 => Problème ci-dessus constaté

FormCreator 1.4.2 était biensur la version d'origine. Toutes les applications GLPI ont essayé d'être migrées sous formcreator 2.4.1.

Je viens d'essayer de migrer avec la toute derniere version de formcreator disponible 2.4.2 (au lieu de la 2.4.1 avant) mais le problème reste le même.

Pas de problème pendant la migration de GLPI vers la 9.1.2.

Par contre, lorsque je veux mettre à jour le plugin formcreator, j'obtiens le message d'erreur :

Installing glpi_plugin_formcreator_forms_answers (0 seconde)
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'étude / chiffrage Demande de modification Maçonnerie / Génie civil / Vrd A' at line 3
Please, check migration log

Puis lorsque je relance la mise à jour du plugin, ca semble passer mais un message en bas a droite dans une fenetre rouge m'indique :
Erreur
close
L'intitulé est obligatoire
L'intitulé est obligatoire

Offline

#4 2017-05-15 16:39:33

btry
Guest
Registered: 2015-10-01
Posts: 101

Re: Perte des dépendances de questions apres mise à jour plugin FormCreato

Bonjour

Je vois que vous avez ouvert un ticket sur github à propos de votre problème. Nous allons donc continuer dessus

https://github.com/pluginsGLPI/formcreator/issues/603

Offline

Board footer

Powered by FluxBB